astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- FunctionTransform

# FunctionTransform

class `astropy.coordinates.``FunctionTransform`(func, fromsys, tosys, priority=1, register_graph=None)

  Bases: `astropy.coordinates.CoordinateTransform`

  A coordinate transformation defined by a function that accepts a coordinate object and returns the transformed coordinate object.

  Parameters:

  func : callable

  > The transformation function. Should have a call signature `func(formcoord, toframe)`. Note that, unlike `CoordinateTransform.__call__`, `toframe` is assumed to be of type `tosys` for this function.

  fromsys : class

  > The coordinate frame class to start from.

  tosys : class

  > The coordinate frame class to transform into.

  priority : number

  > The priority if this transform when finding the shortest coordinate transform path - large numbers are lower priorities.

  register_graph : `TransformGraph` or `None`

  > A graph to register this transformation with on creation, or `None` to leave it unregistered.

  Raises:

  TypeError

  > If `func` is not callable.

  ValueError

  > If `func` cannot accept two arguments.

  Methods Summary

  `__call__`(fromcoord, toframe) |

  Methods Documentation

  `__call__`(fromcoord, toframe)